apiVersion: apps/v1
kind: Deployment
metadata:
  name: expenses
spec:
  replicas: 1
  selector: {}
  template:
    spec:
      containers:
      - name: expenses
        image: registry.gitlab.com/pennyplanner/webeng2/backend/express:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 9000
          name: http
        env:
          - name: KEYCLOAK_HOST
            value: "keycloak"
          - name: KEYCLOAK_REALM
            value: "biletado"
          - name: POSTGRES_ASSETS_USER
            value: "postgres"
          - name: POSTGRES_ASSETS_PASSWORD
            value: "postgres"
          - name: POSTGRES_ASSETS_DBNAME
            value: "expenses"
          - name: POSTGRES_ASSETS_HOST
            value: "postgres"
          - name: POSTGRES_ASSETS_PORT
            value: "5432"
          - name: EXPRESS_SERVER_PORT
            value: "9000"
          - name: EXPRESS_APPLICATION_PATH
            value: "/api/v1/expenses"
          - name: LOG_LEVEL
            value: "info"
